@for (step of steps; track step) {
  <div class="dragged-step flex-column">
    @if (step.kind === 'action-step') {
      <div class="full-width action-step-main-grid collapsed m-l-20">
        <div class="header-action header-collapsed">
          <div class="flex-fixed-size header-color">
            {{ 'sqtm-core.entity.test-step.action.singular' | translate }}:
          </div>
          <div
            class="full-height full-width header-collapsed-rich-text m-l-5 m-r-5"
            [innerHTML]="step.action"
          ></div>
        </div>
        <div class="header-result header-collapsed">
          <div class="flex-fixed-size header-color">
            {{
              'sqtm-core.entity.test-step.expected-result.label' | translate
            }}:&nbsp;
          </div>
          <div
            class="full-height full-width header-collapsed-rich-text m-l-5"
            [innerHTML]="step.expectedResult"
          ></div>
        </div>
      </div>
    }
    @if (step.kind === 'call-step') {
      <div class="m-l-20">
        {{ 'sqtm-core.entity.call-step.label' | translate }}:{{
          step.calledTcName
        }}
      </div>
    }
  </div>
}
